#ifndef __BOUNDING_SPHERE__
#define __BOUNDING_SPHERE__

#include <stdlib.h>
#include "Vec3f.h"

class AABoundBox;
class Material;

class BoundingSphere
{
public:

	BoundingSphere(Vec3f position, float radius);

	virtual ~BoundingSphere();

	void setCenter(Vec3f newCenter);
	void setRadius(float newRadius);

	Vec3f getCenter();
	float getRadius();

	bool collisionTest(AABoundBox* other);
	bool collisionTest(BoundingSphere* other);

	void render(Material* mat = NULL);

protected:

	Vec3f center;
	float radius;

};

#endif __AA_BOUNDING_BOX__